Index: code/trunk/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/trunk/data/gui/layouts/CampaignMenu.layout	(revision 10622)
+++ code/trunk/data/gui/layouts/CampaignMenu.layout	(revision 11052)
@@ -8,39 +8,81 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/Button" Name="orxonox/MissionOneButton" >
-            <Property Name="Text" Value="Mission 1" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
+            <Property Name="Text" Value="Mission One" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.2875,0},{0.6,0},{0.3375,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.MissionOneButton_clicked"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/MissionTwoButton" >
-            <Property Name="Text" Value="Mission 2" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
+            <Property Name="Text" Value="Fight in our Back" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.3625,0},{0.6,0},{0.4125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
             <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.MissionTwoButton_clicked"/>
+            <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/MissionThreeButton" >
-            <Property Name="Text" Value="Mission 3" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Button" >
+            <Property Name="Text" Value="Pirate Attack" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4375,0},{0.6,0},{0.4875,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
             <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.MissionThreeButton_clicked"/>
+            <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/MissionFourButton" >
-            <Property Name="Text" Value="Mission 4" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Button" >
+            <Property Name="Text" Value="Trip to Area 51" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5125,0},{0.6,0},{0.5625,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
             <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.MissionFourButton_clicked"/>
+            <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
         </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
+            <Property Name="Text" Value="Area 51 under Fire" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Button" >
+            <Property Name="Text" Value="Escape the Bastards" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Button" >
+            <Property Name="Text" Value="Expedition to Sector 5C" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Button" >
+            <Property Name="Text" Value="Shuttle under Attack" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Button" >
+            <Property Name="Text" Value="Retaliation" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
+        </Window>
+
+
         <Window Type="MenuWidgets/Button" Name="orxonox/CampaignMenuBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.8,0},{0.6,0},{0.85,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.CampaignMenuBackButton_clicked"/> 
         </Window>
Index: code/trunk/data/gui/layouts/InGameMenu.layout
===================================================================
--- code/trunk/data/gui/layouts/InGameMenu.layout	(revision 10622)
+++ code/trunk/data/gui/layouts/InGameMenu.layout	(revision 11052)
@@ -9,12 +9,19 @@
             <Property Name="Text" Value="Return to Game" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.2875,0},{0.6,0},{0.3375,0}}" />
+            <Property Name="Alpha" Value="0.9" />
+            <Event Name="Clicked" Function="InGameMenu.button_return_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_ReloadLevelButton" >
+            <Property Name="Text" Value="Reload level" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.3625,0},{0.6,0},{0.4125,0}}" />
             <Property Name="Alpha" Value="0.9" />
-            <Event Name="Clicked" Function="InGameMenu.button_return_clicked"/>
+            <Event Name="Clicked" Function="InGameMenu.button_reloadLevel_clicked"/>
         </Window>
         <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_MainMenuButton" >
             <Property Name="Text" Value="Main Menu" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4625,0},{0.6,0},{0.5125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4375,0},{0.6,0},{0.4875,0}}" />
             <Property Name="Alpha" Value="0.9" />
             <Event Name="Clicked" Function="InGameMenu.button_mainmenu_clicked"/>
@@ -23,5 +30,5 @@
             <Property Name="Text" Value="Settings" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5625,0},{0.6,0},{0.6125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5125,0},{0.6,0},{0.5625,0}}" />
             <Property Name="Alpha" Value="0.9" />
             <Event Name="Clicked" Function="InGameMenu.button_settings_clicked"/>
@@ -30,5 +37,5 @@
             <Property Name="Text" Value="Quit" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5875,0},{0.6,0},{0.6375,0}}" />
             <Property Name="Alpha" Value="0.9" />
             <Event Name="Clicked" Function="InGameMenu.button_quit_clicked"/>
Index: code/trunk/data/gui/scripts/CampaignMenu.lua
===================================================================
--- code/trunk/data/gui/scripts/CampaignMenu.lua	(revision 10622)
+++ code/trunk/data/gui/scripts/CampaignMenu.lua	(revision 11052)
@@ -8,8 +8,14 @@
 
 function P.updateButtons()
-    P.updateButton(0, winMgr:getWindow("orxonox/MissionOneButton"))
-    P.updateButton(1, winMgr:getWindow("orxonox/MissionTwoButton"))
-    P.updateButton(2, winMgr:getWindow("orxonox/MissionThreeButton"))
-    P.updateButton(3, winMgr:getWindow("orxonox/MissionFourButton"))
+    P.updateButton(0, winMgr:getWindow("orxonox/Mission1Button"))
+    P.updateButton(1, winMgr:getWindow("orxonox/Mission2Button"))
+    P.updateButton(2, winMgr:getWindow("orxonox/Mission3Button"))
+    P.updateButton(3, winMgr:getWindow("orxonox/Mission4Button"))
+    P.updateButton(4, winMgr:getWindow("orxonox/Mission5Button"))
+    P.updateButton(5, winMgr:getWindow("orxonox/Mission6Button"))
+    P.updateButton(6, winMgr:getWindow("orxonox/Mission7Button"))
+    P.updateButton(7, winMgr:getWindow("orxonox/Mission8Button"))
+    P.updateButton(8, winMgr:getWindow("orxonox/Mission9Button"))
+
 
     if (P.getIndexOfLastFinishedMission() == orxonox.LevelManager:getInstance():getNumberOfCampaignMissions() - 1) then
@@ -54,18 +60,38 @@
 end
 
-function P.MissionOneButton_clicked(e)
+function P.Mission1Button_clicked(e)
     P.loadLevel(P.FindLevel(0))
 end
 
-function P.MissionTwoButton_clicked(e)
+function P.Mission2Button_clicked(e)
     P.loadLevel(P.FindLevel(1))
 end
 
-function P.MissionThreeButton_clicked(e)
+function P.Mission3Button_clicked(e)
     P.loadLevel(P.FindLevel(2))
 end
 
-function P.MissionFourButton_clicked(e)
+function P.Mission4Button_clicked(e)
     P.loadLevel(P.FindLevel(3))
+end
+
+function P.Mission5Button_clicked(e)
+    P.loadLevel(P.FindLevel(4))
+end
+
+function P.Mission6Button_clicked(e)
+    P.loadLevel(P.FindLevel(5))
+end
+
+function P.Mission7Button_clicked(e)
+    P.loadLevel(P.FindLevel(6))
+end
+
+function P.Mission8Button_clicked(e)
+    P.loadLevel(P.FindLevel(7))
+end
+
+function P.Mission9Button_clicked(e)
+    P.loadLevel(P.FindLevel(8))
 end
 
Index: code/trunk/data/gui/scripts/InGameMenu.lua
===================================================================
--- code/trunk/data/gui/scripts/InGameMenu.lua	(revision 10622)
+++ code/trunk/data/gui/scripts/InGameMenu.lua	(revision 11052)
@@ -7,5 +7,5 @@
     P.multiplayerMode = "startClient"
 
-    --button are arranged in a 4x1 matrix, the left lower item is nil
+    --button are arranged in a 5x1 matrix, the left lower item is nil
     P:setButton(1, 1, {
             ["button"] = winMgr:getWindow("orxonox/InGameMenu_ReturnButton"),
@@ -14,14 +14,19 @@
 
     P:setButton(2, 1, {
+            ["button"] = winMgr:getWindow("orxonox/InGameMenu_ReloadLevelButton"),
+            ["callback"]  = P.button_reloadLevel_clicked
+    })
+
+    P:setButton(3, 1, {
             ["button"] = winMgr:getWindow("orxonox/InGameMenu_MainMenuButton"),
             ["callback"]  = P.button_mainmenu_clicked
     })
 
-    P:setButton(3, 1, {
+    P:setButton(4, 1, {
             ["button"] = winMgr:getWindow("orxonox/InGameMenu_SettingsButton"),
             ["callback"]  = P.button_settings_clicked
     })
 
-    P:setButton(4, 1, {
+    P:setButton(5, 1, {
             ["button"] = winMgr:getWindow("orxonox/InGameMenu_QuitButton"),
             ["callback"]  = P.button_quit_clicked
@@ -54,4 +59,9 @@
 end
 
+function P.button_reloadLevel_clicked(e)
+    hideMenuSheet("InGameMenu")
+    orxonox.execute("reloadLevel")
+end
+
 function P.button_return_clicked(e)
     hideMenuSheet("InGameMenu")
Index: code/trunk/data/gui/scripts/SheetManager.lua
===================================================================
--- code/trunk/data/gui/scripts/SheetManager.lua	(revision 10622)
+++ code/trunk/data/gui/scripts/SheetManager.lua	(revision 11052)
@@ -24,4 +24,13 @@
         cursor:show()
     end
+end
+
+function getLoadedSheets()
+    local names = ""
+    for name, sheet in pairs(loadedSheets) do
+        names = names .. name
+        names = names .. ","
+    end
+    return names
 end
 
